Built LMS Help Center
API Reference and PlaygroundEnrollments and ProgressInteraction Events

GET Get interaction events

Retrieve learning interaction events including content views, time spent, and engagement metrics

GET
/course-enrollments/{id}/interactions

Retrieve learning interaction events including content views, time spent, and engagement metrics

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Unique identifier of the enrollment

Formatuuid

Query Parameters

limit?integer

Maximum number of events to return

Range1 <= value <= 100
Default25
offset?integer

Number of events to skip for pagination

Range0 <= value
Default0
block_id?string

Filter by specific content block ID

Formatuuid
block_type?string

Filter by block type

Value in

  • "course"
  • "module"
  • "lesson"
  • "scorm"
  • "quiz"
  • "video"
  • "document"
event_type?string

Filter by event type

Value in

  • "viewed"
  • "started"
  • "completed"
  • "paused"
  • "resumed"
  • "interacted"
  • "passed"
  • "failed"
start_date?string

Filter events on or after this date

Formatdate-time
end_date?string

Filter events on or before this date

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/course-enrollments/{id}/interactions"
{  "data": {    "events": [      {        "id": "{id}",        "organization_id": "{organization_id}",        "enrollment_id": "{enrollment_id}",        "user_id": "{user_id}",        "block_id": "{block_id}",        "block_type": "string",        "event_type": "string",        "event_data": {          "time_spent_seconds": 0,          "progress_percentage": 0,          "score": 0,          "success": true,          "completion": true,          "attempt_id": "{attempt_id}",          "response": "string",          "playback_position_seconds": 0,          "property1": "string",          "property2": "string"        },        "xapi_statement": {          "actor": {            "name": "string",            "mbox": "user@example.com",            "account": {              "homePage": "http://example.com",              "name": "string"            }          },          "verb": {            "id": "http://example.com",            "display": {              "property1": "string",              "property2": "string"            }          },          "object": {            "id": "string",            "definition": {              "name": {                "property1": "string",                "property2": "string"              },              "description": {                "property1": "string",                "property2": "string"              },              "type": "http://example.com"            }          },          "result": {            "score": {              "scaled": 0,              "raw": 0,              "min": 0,              "max": 0            },            "success": true,            "completion": true,            "duration": "string"          },          "context": {            "registration": "{registration}",            "platform": "string",            "language": "string",            "property1": "string",            "property2": "string"          },          "timestamp": "2019-08-24T14:15:22Z"        },        "session_id": "{session_id}",        "created_at": "2019-08-24T14:15:22Z"      }    ],    "summary": {      "total_events": 0,      "unique_blocks": 0,      "total_time_seconds": 0,      "event_types": {        "property1": 0,        "property2": 0      },      "last_interaction": "2019-08-24T14:15:22Z"    }  },  "meta": {    "enrollment_id": "{enrollment_id}",    "total_events": 0,    "limit": 0,    "offset": 0,    "filters": {      "block_id": "{block_id}",      "block_type": "course",      "event_type": "viewed",      "start_date": "2019-08-24T14:15:22Z",      "end_date": "2019-08-24T14:15:22Z"    },    "organization_id": "{organization_id}",    "rls_validated": true  }}